% A program which plots the background data from MSIS for all altiudes

% Read in data from MSIS

[z, N2, O2, O, H, Temp,numdens,massdens]=textread('MSISoutTroll_raw.txt','%f %f %f %f %f %f %f %f');

% Plot Data

subplot(3,2,1);
plot(Temp,z);
xlabel('Temperature (K)');
ylabel('Altitude');
%title('A graph to show how Temperature changes with altitude');

subplot(3,2,2);
semilogx(O2,z);
xlabel('O2 (cm-3)');
ylabel('altitude (km)');
%title('A graph to show how O2 concentration changes with altitude');

subplot(3,2,3);
semilogx(N2,z);
xlabel('N2 (cm-3)');
ylabel('altitude (km)');
%title('A graph to show how N2 concentration changes with altitude');

subplot(3,2,4);
semilogx(O,z);
xlabel('O (cm-3)');
ylabel('altitude (km)');
%title('A graph to show how O concentration changes with altitude');

subplot(3,2,5);
semilogx(H,z);
xlabel('H (cm-3)');
ylabel('altitude (km)');
%title('A graph to show how H concentration changes with altitude');